=== debian/tests/control ===
Tests: upstream-testsuite
Architecture: amd64
Depends:
 @,
 cmake,
 g++,
 pkgconf,
 spirv-headers,
 spirv-tools,
 clang-14,
 llvm-14-dev,
Restrictions:
 allow-stderr,

Test-Command: debian/tests/upstream-testsuite
Architecture: !amd64
Depends:
 @,
 cmake,
 g++,
 pkgconf,
 spirv-headers,
 spirv-tools,
 clang-14,
 llvm-14-dev,
Restrictions:
 allow-stderr,
 flaky,
