=== debian/control ===
--- 
+++ 
@@ -6,17 +6,18 @@
  Timo Aaltonen <tjaalton@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
 Build-Depends: debhelper-compat (= 13),
-# dh-sequence-pkgkde-symbolshelper,
+ dh-sequence-pkgkde-symbolshelper,
  cmake,
+ gcc (>= 4:13),
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.5.5),
+ spirv-headers (>= 1.6.1+1.3.275.0),
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm14/main
