## spirv-llvm-translator-14 14.0.7

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Add substvar for the llvm major version.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Dec 2024 00:31:38 +0100

spirv-llvm-translator-14 (14.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Update .symbols control file.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 28 Nov 2024 22:26:06 +0100
