## spirv-llvm-translator-14 14.0.8

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.8-1~ubuntu0.24.04.1) noble; urgency=medium

  * Backport to noble. (LP: #2111480)
    - relax gcc build-dep

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 28 Jul 2025 11:34:10 +0300

spirv-llvm-translator-14 (14.0.8-1) unstable; urgency=medium

  * New upstream release.
  * Add substvar for the llvm soversion.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Jan 2025 18:18:33 +0100
