=== debian/tests/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
  @,
  cmake,
  g++,
+ make,
  pkgconf,
  spirv-headers,
  spirv-tools,
@@ -13,11 +14,13 @@
  allow-stderr,
 
 Test-Command: debian/tests/upstream-testsuite
-Architecture: !amd64
+Features: test-name=upstream-testsuite-flaky
+Architecture: !amd64 !s390x
 Depends:
  @,
  cmake,
  g++,
+ make,
  pkgconf,
  spirv-headers,
  spirv-tools,
@@ -26,3 +29,12 @@
 Restrictions:
  allow-stderr,
  flaky,
+
+Test-Command: true
+Features: test-name=spirv-headers-compatibility
+Depends:
+ spirv-headers,
+Restrictions:
+ build-needed,
+ allow-stderr,
+ superficial,
