## spirv-llvm-translator-14 14.0.14

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.14-1ubuntu1) questing; urgency=medium

  * Build with gcc-14.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 29 Aug 2025 12:22:37 +0300

spirv-llvm-translator-14 (14.0.14-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.313.0.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 12 Aug 2025 10:36:48 +0200
