=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc (>= 4:14),
+ gcc-14,
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
- spirv-headers (>= 1.6.1+1.4.309.0),
+ spirv-headers (>= 1.6.1+1.4.313.0),
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
