=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS	 = hardening=+all
+export CXX=g++-14
 
 include /usr/share/dpkg/pkg-info.mk
 
 LLVM_VERSION	 = $(shell sed -n -r '/^Build/,/^$$/s/.*llvm-([0-9]+)-dev.*/\1/p' debian/control)
+LLVM_SOVERSION	 = $(LLVM_VERSION)
 
 %:
 	dh $@ --builddir build/
@@ -29,7 +31,9 @@
 endif
 
 override_dh_gencontrol:
-	dh_gencontrol -- -V'llvm:major=$(LLVM_VERSION)'
+	dh_gencontrol -- \
+		-V'llvm:major=$(LLVM_VERSION)' \
+		-V'llvm:soversion=$(LLVM_SOVERSION)' \
 
 update-symbols:
 	pkgkde-getbuildlogs
