## spirv-llvm-translator-14 14.0.15

=== tools/llvm-spirv/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
   BitReader
   BitWriter
   Core
+  Passes
   Support
   TransformUtils
 )
