=== debian/changelog ===
spirv-llvm-translator-14 (14.0.15-2) unstable; urgency=medium

  * Build with g++-14.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 17:27:18 +0200

spirv-llvm-translator-14 (14.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 04 Sep 2025 00:33:43 +0200
