=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
  dh-sequence-pkgkde-symbolshelper,
  cmake,
- gcc-14,
+ g++-14,
  libclang-14-dev,
  llvm-14-dev,
  pkgconf,
