=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  spirv-tools,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
