## spirv-llvm-translator-14 14.0.17

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.17-1) unstable; urgency=medium

  * New upstream release.
  * Update B-D after the spirv-tools split.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Nov 2025 22:05:19 +0100
