## spirv-llvm-translator-14 14.0.18

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.18-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 19 Dec 2025 23:00:55 +0100
