=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
  llvm-14-dev,
  pkgconf,
  spirv-headers (>= 1.6.1+1.4.313.0),
- spirv-tools,
+ spirv-tools <!nocheck>,
+ spirv-tools-dev,
 # keep the clang/llvm version in sync, don't forget debian/tests/control
  clang-14 <!nocheck>,
 Standards-Version: 4.7.2
