=== debian/tests/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  pkgconf,
  spirv-headers,
  spirv-tools,
+ spirv-tools-dev,
  clang-14,
  llvm-14-dev,
 Restrictions:
@@ -24,6 +25,7 @@
  pkgconf,
  spirv-headers,
  spirv-tools,
+ spirv-tools-dev,
  clang-14,
  llvm-14-dev,
 Restrictions:
