## spirv-llvm-translator-14 14.0.20

=== debian/changelog ===
spirv-llvm-translator-14 (14.0.20-1) unstable; urgency=medium

  * New upstream release.
  * Bump spirv-headers dependency to 1.6.1+1.4.335.0.
  * Bump Standards-Version to 4.7.3.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 07 Feb 2026 22:09:09 +0100
