=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 execute_after_dh_clean:
 	$(RM) $(AUTOGEN)
 	$(RM) -r spirv-llvm-translator-??_*_logs
+	$(RM) -r SPIRV-LLVM-Translator-??.?.??
 
 update-symbols: debian/libllvmspirvlib$(LLVM_SOVERSION).symbols
 	pkgkde-getbuildlogs
